classification
Title: Patch for test_urllib2_net moving tests to use a local server
Type: Stage:
Components: Tests Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: gregory.p.smith, michael.foord
Priority: normal Keywords: patch

Created on 2008-03-19 23:22 by michael.foord, last changed 2008-03-29 04:25 by gregory.p.smith. This issue is now closed.

Files
File name Uploaded Description Edit
network_tests.patch michael.foord, 2008-03-19 23:22
Messages (3)
msg64121 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2008-03-19 23:22
This patch moves some tests from test_urllib2_net to
test_urllib2_localnet. The moved tests now use a local server rather
than going out to external servers.

Mainly the work of Jerry Seutter - so blame him. ;-)
msg64620 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-03-28 08:02
committed to trunk in r61998.  time to watch the buildbots, it looked
good to me and passed on my machine.  i'll close it once i see buildbot
test love.

tweaks i made:  I reenabled the commented out ProxyAuth test, as it
works and I assumed that was leftover from your debugging.  I also
changed the URL in the ProxyAuth test to http://localhost just in case
it triggered any network traffic.
msg64681 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-03-29 04:25
all buildbots seem happy with the new tests.
History
Date User Action Args
2008-03-29 04:25:11gregory.p.smithsetstatus: pending -> closed
messages: + msg64681
2008-03-28 08:02:47gregory.p.smithsetstatus: open -> pending
resolution: accepted
messages: + msg64620
2008-03-28 07:50:09gregory.p.smithsetassignee: gregory.p.smith
nosy: + gregory.p.smith
2008-03-19 23:22:35fuzzymancreate